Get Changeset Status by ID

get

/pdc/changeset/status/by-ids

Returns the status of a changeset by its ID.

Request

Query Parameters
  • Specifies one or more changeset IDs for which to retrieve status.
    Example:
    3810,38810,38910,27973,36150,36800,38964,39158

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The request was processed successfully.
Body ()
Root Schema : ChangeSetStatusEnvelope
Type: object
Container for a changeset status report.
Show Source
Nested Schema : ChangeSetStatusReport
Type: object
Report containing changeset status details and warnings.
Show Source
Nested Schema : changeSets
Type: array
Lists the changesets that PDC found and processed.
Show Source
Nested Schema : ChangeSet
Type: object
Status information for a single changeset.
Show Source
Nested Schema : transformations
Type: array
Provides status details for each transformation that PDC performed for the changeset.
Show Source
Nested Schema : Transformation
Type: object
Status information for a changeset transformation job.
Show Source
  • Identifies the transformation job.
    Example: 14233
  • Reports the transformation job’s current status.
    Example: DISPATCHED
  • Specifies the target system or transformation type, such as ECE, BRE, or RRE.
    Example: ECE
Back to Top

Examples

The following example shows how to get the status of changesets by ID by submitting a GET request on the REST resource using cURL. For more information, see Use cURL.

curl -X GET 'http://hostname:port/pdc/changeset/status/by-ids?ids=3810,38810,38910,27973'

Example of Response Body

If successful, the response code 200 is returned along with a changeSetStatusReport in JSON format containing changeset IDs, names, statuses, transformation details, and any warnings:

{
  "changeSetStatusReport": {
    "changeSets": [
      {
        "changeSetId": "3810",
        "changeSetName": "MIGRATION_CHANGESET_SYNC_EVENT",
        "changeSetStatus": "PENDING",
        "transformations": [
          {
            "jobId": 14233,
            "jobStatus": "DISPATCHED",
            "type": "ECE"
          }
        ]
      },
      {
        "changeSetId": "27973",
        "changeSetName": "MIGRATION_CHANGESET_SYNC_SERVICE",
        "changeSetStatus": "PENDING",
        "transformations": [
          {
            "jobId": 32015,
            "jobStatus": "DISPATCHED",
            "type": "ECE"
          }
        ]
      }
    ],
    "warning": "Warning: The following ChangeSet ID(s) were invalid or not found: 38810, 38910"
  }
}
Back to Top